# danger-shellcheck

[![Build Status](https://travis-ci.org/IntrepidPursuits/danger-shellcheck.svg?branch=master)](https://travis-ci.org/IntrepidPursuits/danger-shellcheck)
[![Coverage Status](https://coveralls.io/repos/github/IntrepidPursuits/danger-shellcheck/badge.svg?branch=master)](https://coveralls.io/github/IntrepidPursuits/danger-shellcheck?branch=master)
![MIT License](https://img.shields.io/badge/license-MIT-blue.svg)

A [Danger](http://danger.systems/) plugin that shows the static analysis output generated by [ShellCheck](https://github.com/koalaman/shellcheck).

To use this plugin, you need to generate a JSON file using [ShellCheck](https://github.com/koalaman/shellcheck) for this plugin to read.

## Installation

    $ gem install danger-shellcheck

## Usage

Somewhere in your build process, call ShellCheck using the JSON output flag.

    shellcheck -f json myscript myotherscript > shellcheck.json

An easy way to have shellcheck look at all of your .sh files is:

    shellcheck -f json **/*.sh > shellcheck.json

At a minimum, add this line to your `Dangerfile`:

    shellcheck.report 'shellcheck.json'

You may also use optional specifiers to ignore files, or set the project root.

    # Set a different project root
    shellcheck.project_root = 'MyProject/NewRoot/'


## License
danger-shellcheck is released under the MIT license. See [LICENSE](https://github.com/IntrepidPursuits/danger-shellcheck/blob/master/LICENSE) for details.

## Contributing

1. Fork this repo
2. Run `bundle install` to setup dependencies.
3. Run `bundle exec rake spec` to run the tests.
4. Use `bundle exec guard` to automatically have tests run as you make changes.
5. Make your changes.
6. Create a Pull Request for us to review
